export = ApiPayloadConverter;
/**
 * @class ApiPayloadConverter
 * @description Converter of mail payload for various mail provider APIs.
 */
declare class ApiPayloadConverter {
    /**
     * @description Converts the mail payload for the official Mailgun client.
     * @param {Object} originalPayload The original payload (provider agnostic).
     * @returns {Object} The payload according to Mailgun client specification.
     */
    static mailgun(originalPayload: any): any;
    /**
     * @description Converts the mail payload for the AWS Simple Mail Service (AWS JavaScript SDK v3).
     * @param {Object} originalPayload The original payload (provider agnostic).
     * @returns {Object} The payload according to AWS SDK specification.
     */
    static awsSes(originalPayload: any): any;
}
//# sourceMappingURL=ApiPayloadConverter.d.ts.map